import bpy


class SA_OT_copy_materials_1(bpy.types.Operator):
    bl_idname = "blackdeer_node_fx_plus_shaders_addon.copy_material_1"
    bl_label = "Copy Material"
    bl_options = {'UNDO'}

    def execute(self, context):
        ob = context.object
        if ob and ob.active_material:
            # Duplicate the active material
            new_mat = ob.active_material.copy()
            # Assign the duplicated material to the active slot
            ob.material_slots[ob.active_material_index].material = new_mat
        return {'FINISHED'}
