import bpy

class SA_MTL_UL_matslots_custom(bpy.types.UIList):
    def draw_item(self, context, layout, data, item, icon, active_data, active_propname, index):
        row = layout.row(align=True)
        row = row.split(factor=0.075)
        
        sub = row.row()
        sub.enabled = False
        sub.label(text=str(index+1))
        # Ensure material name is active (white) and can be edited
        if item.material:
            sub = row.row()
            sub.enabled = True
            sub.prop(item.material, "name", text="", emboss=False, icon_value=icon)
        else:
            sub = row.row()
            sub.enabled = False
            sub.label(text="", icon_value=icon)
        
        # Draw the index of the material slot, make it inactive (gray)